## setup

```sh
sudo env GOBIN=/opt/cni/bin go install github.com/awslabs/tc-redirect-tap/cmd/tc-redirect-tap@latest
sudo dnf install containernetworking-plugins
```

```sh
# build rootfs image (incl. agent)
(cd rootfs; pnpm install)
node rootfs/index.js
# build & run daemon
go build && sudo ./fireactions
# run VM
curl --data-raw "#!/bin/sh"\n"echo hi" localhost:8080/run
# inspect VM tty
tail -f /tmp/std*
```
